Thanks for reporting problems here.
POST REPLY
Post Jul 22, 2018 13:25
Greetings :-).

I just downloaded your tool and tried to run it. Im getting following errormsg:

Code: Select all

user@Machine:~/Programme/Grid_Cartographer$ ./gridc64gg 
./gridc64gg: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory
user@Machine:~/Programme/Grid_Cartographer$
Im using Lubuntu 18.04 (LXQt, 64bit), Kernel Version: 4.15.0.29.

Any hint would be wonderful :-).

:tiphat:
Site Admin
Post Jul 22, 2018 15:00
Firstly: apologies for the inconvenience here.

In the current version of Grid Cartographer 4, libpng12 is a required library and the only officially supported distro is Linux Mint 17.3.

Can you install libpng12 on your distro?

FWIW this is the most annoying thing about Linux as a developer. libpng12 and libpng16 seem totally incompatible on some fundamental distro level. I'd love to not have libpng as a dependency at all, but when I statically linked it, GTK broke.

Maybe things have moved on in Linux now and I should raise the minimum requirements and move to libpng16 (the Windows and macOS builds already use it).
Site Admin
Post Jul 22, 2018 15:54
I'm currently investigating Linux Mint 19 (which is based on Ubuntu 18.04). It comes with libpng16 out of the box.
Post Jul 22, 2018 18:04
Image

Code: Select all

wget https://sourceforge.net/projects/libpng/files/libpng12/1.2.59/libpng-1.2.59.tar.xz/download
./configure --prefix=/opt/libpng12
make
sudo make install
LD_LIBRARY_PATH=/opt/libpng12/lib ./gridc64gg
Thanks to my ServerGuru for this quick fix :golfclap:.
All i need now, is a valid key ;-).
Site Admin
Post Jul 22, 2018 20:30
I look forward to hearing from you :)

http://gridcartographer.com/buy/
Post Jul 23, 2018 08:30
Thanks for that wonderful hint with that link :-P.
POST REPLY